=== debian/changelog ===
gmtkbabel (0.1-2) unstable; urgency=medium

  * QA upload.
  * Orphan the package. (See #1071134)
  * debian/: Apply "wrap-and-sort -abst".
  * Refresh packaging:
    + Bump Standards-Version to 4.7.0.
    + Bump debhelper compat to v13.
    + Use correct git packaging repo on Debian Salsa GitLab.
  * debian/gbp.conf: Use DEP-14 format.
  * debian/copyright: Use machine-readable copyright format.

 -- Boyuan Yang <byang@debian.org>  Thu, 16 May 2024 23:05:12 -0400

gmtkbabel (0.1-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 05 Jan 2021 18:29:55 +0100

gmtkbabel (0.1-1) unstable; urgency=low

  * Initial release (Closes: #594476)

 -- David Paleino <dapal@debian.org>  Thu, 26 Aug 2010 12:58:03 +0200
