=== debian/control ===
Source: gmtkbabel
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 gettext,
Standards-Version: 4.7.0
Homepage: https://github.com/dpaleino/gmtkbabel.git
Vcs-Git: https://salsa.debian.org/debian/gmtkbabel.git
Vcs-Browser: https://salsa.debian.org/debian/gmtkbabel
Description: graphical interface for mtkbabel
 gmtkbabel consists of a set of shell scripts which use zenity to
 provide a graphical user interface to mtkbabel. Mtkbabel is a
 command-line tool to operate GPS-unit with MTK (Mediatek) chipsets.

Package: gmtkbabel
Architecture: all
Depends:
 mtkbabel,
 zenity,
 ${misc:Depends},
Description: ${source:Synopsis}
 ${source:Extended-Description}
